# Security Policy

(Original Vietnamese below)
 
## Supported versions

The following versions of this project are currently supported with security updates:

| Version | Supported |
|---------|--------------------|
| Latest | :white_check_mark: |
| Older  | :x: |

Only the most recent version of the software, as published on npm (`markdown-attribute`), receives security updates and patches. Users are encouraged to always use the latest release to ensure optimal security.

## Reporting a vulnerability

If you discover a security vulnerability within this project, please report it promptly to ensure it can be addressed effectively. To report a vulnerability:

– Email: Send a detailed description to info@nhavantuonglai.com.

– Details: Include steps to reproduce the issue, affected versions, and potential impact.

– Response Time: You can expect an initial response within 48 hours. We will work with you to validate and address the issue.

We prioritize confidentiality and will not disclose your identity unless explicitly permitted. Public disclosure of the vulnerability will only occur after a fix is released, unless immediate action is required to protect users.

## Security Practices

This project adheres to the following security practices:

– Regular dependency updates to mitigate known vulnerabilities.

– Input validation to prevent common exploits (injection attacks).

– Use of secure HTTP requests with appropriate headers and timeouts.

## Known Issues

As of the last update, there are no known unresolved security vulnerabilities. Users are encouraged to report any concerns immediately.

## Copyright and Updates

© 2025 nhavantuonglai. All rights reserved. This security policy is maintained and updated by @nhavantuonglai to protect the integrity and safety of the project and its users.

Last updated: April 08, 2025.

# Chính sách bảo mật

## Các phiên bản được hỗ trợ

Các phiên bản sau của dự án này hiện được hỗ trợ với các bản cập nhật bảo mật:

| Phiên bản | Được hỗ trợ |
|-----------|--------------------|
| Mới nhất| :white_check_mark: |
| Cũ hơn | :x: |

Chỉ phiên bản mới nhất của phần mềm, được xuất bản trên npm (`markdown-attribute` hoặc `markdown-sitemap`), nhận được các bản cập nhật và vá bảo mật. Người dùng được khuyến khích luôn sử dụng bản phát hành mới nhất để đảm bảo bảo mật tối ưu.

## Báo cáo lỗ hổng bảo mật

Nếu bạn phát hiện lỗ hổng bảo mật trong dự án này, vui lòng báo cáo ngay để chúng tôi (nhavantuonglai) có thể xử lý hiệu quả. Để báo cáo lỗ hổng:

– Email: Gửi mô tả chi tiết đến info@nhavantuonglai.com.

– Chi tiết: Bao gồm các bước để tái hiện vấn đề, phiên bản bị ảnh hưởng, và tác động tiềm tàng.

– Thời gian phản hồi: Bạn sẽ nhận được phản hồi ban đầu trong vòng 48 giờ. Chúng tôi sẽ phối hợp với bạn để xác minh và giải quyết vấn đề.

Chúng tôi ưu tiên bảo mật thông tin và sẽ không tiết lộ danh tính của bạn trừ khi được phép rõ ràng. Việc công khai lỗ hổng chỉ diễn ra sau khi bản sửa lỗi được phát hành, trừ khi cần hành động ngay lập tức để bảo vệ người dùng.

## Thực hành bảo mật

Dự án này tuân thủ các thực hành bảo mật sau:

– Cập nhật định kỳ các phụ thuộc để giảm thiểu lỗ hổng đã biết.

– Xác thực đầu vào để ngăn chặn các cuộc tấn công phổ biến (Ví dụ: tấn công injection).

– Sử dụng yêu cầu HTTP an toàn với tiêu đề và thời gian chờ phù hợp.

## Vấn đề đã biết

Tính đến lần cập nhật cuối cùng, không có lỗ hổng bảo mật nào chưa được giải quyết. Người dùng được khuyến khích báo cáo ngay bất kỳ mối quan ngại nào.

## Bản quyền và Cập nhật

© 2025 nhavantuonglai. Mọi quyền được bảo lưu. Chính sách bảo mật này được duy trì và cập nhật bởi @nhavantuonglai để bảo vệ tính toàn vẹn và an toàn của dự án cũng như người dùng.

Cập nhật lần cuối: Ngày 08 tháng 04 năm 2025.